curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"elements": [
{
"queueId": "FD213C73E81B6AFG241AA3462128BD2A",
"queueName": "Queue1",
"active": true,
"autoAssignmentEnabled": true
},
{
"queueId": "MAC923F1G7D439CF6F0A2K2L6EA6134",
"queueName": "Queue2",
"active": false,
"autoAssignmentEnabled": true
},
{
"queueId": null,
"queueName": "Default Queue",
"active": false,
"autoAssignmentEnabled": true
}
],
"total": 3,
"totalPages": 1
}Fetch queues eligible as transfer destination
This method retrieves a list of all queues and returns them along with their current activity status. The activity status indicates whether or not a queue is currently inside of working hours. The list of queues and their activity can be used to determine which queues are currently able to receive incoming transfer requests. More info.
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/transfer/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"elements": [
{
"queueId": "FD213C73E81B6AFG241AA3462128BD2A",
"queueName": "Queue1",
"active": true,
"autoAssignmentEnabled": true
},
{
"queueId": "MAC923F1G7D439CF6F0A2K2L6EA6134",
"queueName": "Queue2",
"active": false,
"autoAssignmentEnabled": true
},
{
"queueId": null,
"queueName": "Default Queue",
"active": false,
"autoAssignmentEnabled": true
}
],
"total": 3,
"totalPages": 1
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Results page to retrieve (0..N).
x >= 0Number of records per page.
1 <= x <= 2000